Bug 1220829 - viewvc package request for EPEL7
Summary: viewvc package request for EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: viewvc
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bojan Smojver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-12 14:53 UTC by Pim Rupert
Modified: 2016-01-29 06:01 UTC (History)
2 users (show)

Fixed In Version: viewvc-1.1.24-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-29 06:01:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Pim Rupert 2015-05-12 14:53:54 UTC
Description of problem:

A package of viewvc for EPEL6 is available, but not yet for EPEL7, see https://admin.fedoraproject.org/pkgdb/package/viewvc/. 

Please also build a package for EPEL7.

Comment 1 Pim Rupert 2015-06-23 11:16:54 UTC
Is there anything I can do to help? 

I have tested successfully with Apache's wsgi_module and the RPMS for viewvc and csvgraph from http://mirrors.karan.org/epel7/Packages/. Hope that these can land in EPEL with updated versions.

Comment 2 Pim Rupert 2015-07-08 11:20:12 UTC
I am wondering if there is any progress on releasing the viewvc package for EPEL7?

Comment 3 Bojan Smojver 2015-07-09 07:06:23 UTC
Just requested the epel7 branch.

Comment 4 Pim Rupert 2015-08-11 10:23:12 UTC
Hi Bojan. Great that you are working on it. Is there anything I can do to speed up the progress? Is a testing build available yet?

Comment 5 Bojan Smojver 2015-08-11 11:08:28 UTC
From memory, my initial request was rejected due to some administrative issue. I then submitted another one, but that was never actioned. I can have a look tomorrow to see what's going on.

Comment 6 Bojan Smojver 2015-08-18 05:28:43 UTC
Yeah, the required flag is still on in bug #230512, but no action yet. I just pinged again.

Comment 7 Bojan Smojver 2015-08-18 05:30:25 UTC
Ah, darn it - wrong flag. Fixed now. Hopefully, we get it soon.

Comment 8 Pim Rupert 2015-09-28 09:51:17 UTC
Hi Bojan, any news?

Comment 9 Fedora Update System 2015-09-29 06:56:09 UTC
viewvc-1.1.23-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-39e20af69b

Comment 10 Fedora Update System 2015-10-02 01:10:41 UTC
viewvc-1.1.23-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update viewvc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-39e20af69b

Comment 11 Fedora Update System 2015-10-05 21:44:04 UTC
viewvc-1.1.24-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-aec52bbb03

Comment 12 Bojan Smojver 2015-10-05 21:49:07 UTC
(In reply to Pim Rupert (Lemonbit) from comment #8)
> Hi Bojan, any news?

As you can see, there are now builds, but cvsgraph package is missing from EPEL7. So, you'll need to ask the owner of that package to create that package in order for this to work.

Comment 13 Fedora Update System 2015-10-07 19:19:55 UTC
viewvc-1.1.24-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update viewvc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-aec52bbb03

Comment 14 Kevin Kofler 2015-12-29 04:21:58 UTC
> As you can see, there are now builds, but cvsgraph package is missing from
> EPEL7. So, you'll need to ask the owner of that package to create that package
> in order for this to work.

Your package depends on cvsgraph, so it is YOUR job to request an EPEL7 branch of cvsgraph from the maintainer, or if the maintainer does not want it, then YOU should own it.

Comment 15 Bojan Smojver 2015-12-29 04:29:29 UTC
(In reply to Kevin Kofler from comment #14)

> Your package depends on cvsgraph, so it is YOUR job to request an EPEL7
> branch of cvsgraph from the maintainer, or if the maintainer does not want
> it, then YOU should own it.

Ha, ha... You are being funny. When I receive my pay cheque from Fedora, then it's going be my job. :-)

Anyway, I'll see if I can ping the cvsgraph guy to do this.

Comment 16 Fedora Update System 2016-01-05 23:51:32 UTC
cvsgraph-1.6.1-9.el7 viewvc-1.1.24-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-aec52bbb03

Comment 17 Fedora Update System 2016-01-07 03:51:32 UTC
cvsgraph-1.6.1-9.el7, viewvc-1.1.24-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-aec52bbb03

Comment 18 Fedora Update System 2016-01-29 06:01:26 UTC
cvsgraph-1.6.1-9.el7, viewvc-1.1.24-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.